Project

General

Profile

Bug #14465

Deleting composite view version fails with TypeError: Value (NilClass) '' is not any of: ForemanTasks::Concerns::ActionSubject

Added by Brad Buckingham over 5 years ago. Updated about 3 years ago.

Status:
Closed
Priority:
Normal
Category:
-
Target version:
Difficulty:
Triaged:
Bugzilla link:
Fixed in Releases:
Found in Releases:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1276479
Deleting composite view version fails with TypeError: Value (NilClass) '' is not any of: ForemanTasks::Concerns::ActionSubject

Description of problem:
Deleting a Composite view version fails with the following message:

TypeError: Value (NilClass) '' is not any of: ForemanTasks::Concerns::ActionSubject

Version-Release number of selected component (if applicable):
candlepin-0.9.49.8-1.el7.noarch
candlepin-common-1.0.22-1.el7.noarch
candlepin-guice-3.0-2_redhat_1.el7.noarch
candlepin-scl-1-5.el7.noarch
candlepin-scl-quartz-2.1.5-6.el7.noarch
candlepin-scl-rhino-1.7R3-3.el7.noarch
candlepin-scl-runtime-1-5.el7.noarch
candlepin-selinux-0.9.49.8-1.el7.noarch
candlepin-tomcat-0.9.49.8-1.el7.noarch
elasticsearch-0.90.10-7.el7.noarch
katello-2.2.0.16-1.el7sat.noarch
katello-certs-tools-2.2.1-1.el7sat.noarch
katello-common-2.2.0.16-1.el7sat.noarch
katello-debug-2.2.0.16-1.el7sat.noarch
katello-default-ca-1.0-1.noarch
katello-installer-2.3.20-1.el7sat.noarch
katello-installer-base-2.3.20-1.el7sat.noarch
katello-server-ca-1.0-1.noarch
katello-service-2.2.0.16-1.el7sat.noarch
libqpid-dispatch-0.4-10.el7.x86_64
pulp-admin-client-2.6.0.16-1.el7sat.noarch
pulp-docker-plugins-0.2.5-1.el7sat.noarch
pulp-katello-0.5-1.el7sat.noarch
pulp-nodes-common-2.6.0.16-1.el7sat.noarch
pulp-nodes-parent-2.6.0.16-1.el7sat.noarch
pulp-puppet-plugins-2.6.0.16-1.el7sat.noarch
pulp-puppet-tools-2.6.0.16-1.el7sat.noarch
pulp-rpm-admin-extensions-2.6.0.16-1.el7sat.noarch
pulp-rpm-handlers-2.6.0.16-1.el7sat.noarch
pulp-rpm-plugins-2.6.0.16-1.el7sat.noarch
pulp-selinux-2.6.0.16-1.el7sat.noarch
pulp-server-2.6.0.16-1.el7sat.noarch
python-gofer-qpid-2.6.6-2.el7sat.noarch
python-isodate-0.5.0-4.pulp.el7sat.noarch
python-kombu-3.0.24-10.pulp.el7sat.noarch
python-pulp-agent-lib-2.6.0.16-1.el7sat.noarch
python-pulp-bindings-2.6.0.16-1.el7sat.noarch
python-pulp-client-lib-2.6.0.16-1.el7sat.noarch
python-pulp-common-2.6.0.16-1.el7sat.noarch
python-pulp-docker-common-0.2.5-1.el7sat.noarch
python-pulp-puppet-common-2.6.0.16-1.el7sat.noarch
python-pulp-rpm-common-2.6.0.16-1.el7sat.noarch
python-qpid-0.30-6.el7.noarch
python-qpid-qmf-0.30-5.el7.x86_64
qpid-cpp-client-0.30-9.el7.x86_64
qpid-cpp-client-devel-0.30-9.el7.x86_64
qpid-cpp-server-0.30-9.el7.x86_64
qpid-cpp-server-linearstore-0.30-9.el7.x86_64
qpid-dispatch-router-0.4-10.el7.x86_64
qpid-java-client-0.30-3.el7.noarch
qpid-java-common-0.30-3.el7.noarch
qpid-proton-c-0.9-7.el7.x86_64
qpid-qmf-0.30-5.el7.x86_64
qpid-tools-0.30-4.el7.noarch
ruby193-rubygem-katello-2.2.0.73-1.el7sat.noarch
ruby193-rubygem-qpid_messaging-0.30.0-1.el7sat.x86_64
rubygem-hammer_cli_katello-0.0.7.18-1.el7sat.noarch
rubygem-smart_proxy_pulp-1.0.1.2-1.el7sat.noarch
sat.example.com-qpid-broker-1.0-1.noarch
sat.example.com-qpid-client-cert-1.0-1.noarch
sat.example.com-qpid-router-client-1.0-1.noarch
sat.example.com-qpid-router-server-1.0-1.noarch

Actual results:

TypeError: Value (NilClass) '' is not any of: ForemanTasks::Concerns::ActionSubject

Expected results:

Task to delete/publish kicks off

Additional info:

( since I cant dump the tracebacks into the bz I am making the pastebin links last forever)

Trying to delete a version of the content view results in this stacktrace:

TypeError: Value (NilClass) '' is not any of: ForemanTasks::Concerns::ActionSubject

https://paste.soc.redhat.com/7474/

Trying to publish a new version of the content view in question results in this stack trace:

2015-10-28 16:29:45 [E] NoMethodError: undefined method `[]' for nil:NilClass

https://paste.soc.redhat.com/7473/


Related issues

Related to Katello - Bug #11679: Runtime Error null when deleting component content viewsResolved2015-09-03

Associated revisions

Revision ede27285 (diff)
Added by Brad Buckingham over 5 years ago

fixes #14465 - fix deletion of composite content view versions

Prior to this commit, if a composite content view consisted of multiple
component views, attempting to delete a version would generate an error
similar to:

Katello::Resources::Candlepin::Environment: 400 Bad Request (DELETE /candlepin/environments/1-7/content?content=1459785851927)

Revision 3ef1dd75
Added by Brad Buckingham over 5 years ago

Merge pull request #5937 from bbuckingham/issue-14465

fixes #14465 - fix deletion of composite content view versions

History

#1 Updated by The Foreman Bot over 5 years ago

  • Status changed from New to Ready For Testing
  • Assignee set to Brad Buckingham
  • Pull request https://github.com/Katello/katello/pull/5937 added

#2 Updated by Brad Buckingham over 5 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

#3 Updated by Eric Helms over 5 years ago

  • Legacy Backlogs Release (now unused) set to 86

#4 Updated by Justin Sherrill over 5 years ago

  • Related to Bug #11679: Runtime Error null when deleting component content views added

Also available in: Atom PDF